using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data.OracleClient;
using System.Data;

public partial class TSearchB24 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            loadEvents();
            loadBankBins();
            //pnlControls.Visible = false;
            //DatePicker2.date = DateTime.Today.AddDays(-1).ToString("dd-MM-yyyy");
            //DatePicker1.date = DateTime.Today.AddDays(-1).ToString("dd-MM-yyyy");
            trAcct.Visible = false;
        }

        //this.lbl_error.Text = "";
    }

    private void loadEvents()
    {
        string DBConnection = Helper.dbConnection();

        OracleConnection oracon = new OracleConnection(DBConnection);
        oracon.Open();

        OracleCommand oracom = new OracleCommand();
        oracom.Connection = oracon;

        oracom.CommandType = CommandType.StoredProcedure;
        oracom.CommandText = "LOOKUP_GETTER.Get_Recon_Events";

        oracom.Parameters.Add("p_recon_events", OracleType.Cursor).Direction = ParameterDirection.Output;

        OracleDataAdapter da = new OracleDataAdapter(oracom);
        DataSet ds = new DataSet();
        da.Fill(ds);

        ddlEvents.DataSource = ds;
        ddlEvents.DataBind();

        ddlEvents.Items.Insert(0, "------ Events ------");
        oracon.Close();
    }

    private void loadBankBins()
    {
        string DBConnection = Helper.dbConnection();


        OracleConnection oracon = new OracleConnection(DBConnection);
        oracon.Open();

        OracleCommand oracom = new OracleCommand();
        oracom.Connection = oracon;

        oracom.CommandType = CommandType.StoredProcedure;
        oracom.CommandText = "LOOKUP_GETTER.Get_Bank_Bin";

        oracom.Parameters.Add("p_bank_bin", OracleType.Cursor).Direction = ParameterDirection.Output;

        OracleDataAdapter da = new OracleDataAdapter(oracom);
        DataSet ds = new DataSet();
        da.Fill(ds);

        ddlIssuer.DataSource = ds;
        ddlIssuer.DataBind();

        ddlIssuer.Items.Insert(0, "------ Issuer ------");

        ddlAcquirer.DataSource = ds;
        ddlAcquirer.DataBind();

        ddlAcquirer.Items.Insert(0, "------ Acquirer ------");

        oracon.Close();

    }

    private void loadResult1(string terminalID, string eventID, string Card, string reference, string datefrom, string dateto, int pageSize, int pageNumber)
    {
        string DBConnection = Helper.dbConnection();

        OracleConnection oracon = new OracleConnection(DBConnection);
        oracon.Open();

        OracleCommand oracom = new OracleCommand();
        oracom.Connection = oracon;

        oracom.CommandType = CommandType.StoredProcedure;
        oracom.CommandText = "TRANSACTIONS_SEARCHER.Search_Master_Tran";

        oracom.Parameters.Add("p_current_uid", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_re_code", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_card_no", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_card_no_t", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_tran_date_from", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_tran_date_to", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_tran_time_from", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_tran_time_to", OracleType.VarChar).Direction = ParameterDirection.Input;

        oracom.Parameters.Add("p_rrn", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_source", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_dest", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_atm_num", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_acct_num", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_page_size", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_page_num", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_lang", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_res_code", OracleType.Number).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_res_type", OracleType.VarChar, 250).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_res_msg", OracleType.VarChar, 250).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_output", OracleType.Cursor).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_total_pages", OracleType.Number).Direction = ParameterDirection.Output;

        if (eventID.Length != 0)
            oracom.Parameters["p_re_code"].Value = eventID;
        else
            oracom.Parameters["p_re_code"].Value = OracleNumber.Null;
        oracom.Parameters["p_card_no"].Value = Card;
        oracom.Parameters["p_card_no_t"].Value = txtTCardNumber.Text;
        oracom.Parameters["p_tran_date_from"].Value = datefrom;
        oracom.Parameters["p_tran_date_to"].Value = dateto;
        oracom.Parameters["p_tran_time_from"].Value = TextBoxFrom.Text.Replace(":", "");
        oracom.Parameters["p_tran_time_to"].Value = TextBoxTo.Text.Replace(":", "");

        oracom.Parameters["p_rrn"].Value = reference;
        oracom.Parameters["p_atm_num"].Value = terminalID;

        if (txtAccount.Text.Trim().Length > 0)
            oracom.Parameters["p_acct_num"].Value = txtAccount.Text.Trim();
        else
            oracom.Parameters["p_acct_num"].Value = OracleString.Null;

        if (ddlIssuer.SelectedIndex > 0)
            oracom.Parameters["p_dest"].Value = ddlIssuer.SelectedValue;
        else
            oracom.Parameters["p_dest"].Value = OracleNumber.Null;
        if (ddlAcquirer.SelectedIndex > 0)
            oracom.Parameters["p_source"].Value = ddlAcquirer.SelectedValue;
        else
            oracom.Parameters["p_source"].Value = OracleNumber.Null;

        //if (ddlIssuer.SelectedIndex > 0)
        //    oracom.Parameters["p_source"].Value = ddlIssuer.SelectedValue;
        //else
        //    oracom.Parameters["p_source"].Value = OracleNumber.Null;
        //if (ddlAcquirer.SelectedIndex > 0)
        //    oracom.Parameters["p_dest"].Value = ddlAcquirer.SelectedValue;
        //else
        //    oracom.Parameters["p_dest"].Value = OracleNumber.Null;

        oracom.Parameters["p_page_size"].Value = pageSize;
        oracom.Parameters["p_page_num"].Value = pageNumber;
        oracom.Parameters["p_lang"].Value = "EN";
        oracom.Parameters["p_current_uid"].Value = Session["uid"].ToString();

        OracleDataAdapter da = new OracleDataAdapter(oracom);
        DataSet ds = new DataSet();
        da.Fill(ds);

        int nop = int.Parse(oracom.Parameters["p_total_pages"].Value.ToString());
        oracon.Close();

        GridView1.DataSource = ds;
        GridView1.DataBind();
        if (pageNumber == 1)
        {
            ddlPages.Items.Clear();
            for (int i = 1; i <= nop; i++)
            {
                ddlPages.Items.Add(i.ToString());
            }
        }
    }

    protected void btnSearch_Click(object sender, EventArgs e)
    {
        string selectedCardNumber = txtCardNo.Text;
        double cardNumber;

        SR_Master.Visible = true;
        SR_Channel.Visible = true;

        ////if ((selectedCardNumber.Length != 0 && double.TryParse(selectedCardNumber, out cardNumber)) || txtTerminal.Text.Trim().Length>0)
        //{
        if (txtDate.Text.Length > 0)
        {
            loadResult(Helper.gridSize(), 1);
            loadResultChannels(Helper.gridSize(), 1);
        }
        else
        {
            Notifications.showMessage("Please enter From Date and To Date", this, Notifications.errorMessage, true);
            return;
        }
        //}
        //else if (selectedCardNumber.Length == 0)
        //{
        //    this.lbl_error.Text = "Please enter Card Number or ATM Number";
        //}
        //else
        //{
        //    this.lbl_error.Text = "Please enter a valid Card Number";
        //}
    }

    protected void ddlPages_SelectedIndexChanged(object sender, EventArgs e)
    {
        loadResult(Helper.gridSize(), int.Parse(ddlPages.SelectedValue));
    }

    protected void ddlPages2_SelectedIndexChanged(object sender, EventArgs e)
    {
        loadResultChannels(Helper.gridSize(), int.Parse(ddlPages2.SelectedValue));
    }

    protected void GridView1_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName.Equals("v"))
        {
            int index = int.Parse(e.CommandArgument.ToString());
            string tID = GridView1.DataKeys[index].Value.ToString();
            loadTranDetails(tID);
        }
    }

    protected void gvChannel_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName.Equals("v"))
        {
            int index = int.Parse(e.CommandArgument.ToString());
            string tID = gvChannel.DataKeys[index].Value.ToString();
            loadTranDetails1(tID);
        }
    }

    private void loadTranDetails22(string tID)
    {
        //pnlControls.Visible = true;
        Notifications.showModal("modal-xl", this);
        string DBConnection = Helper.dbConnection();

        OracleConnection oracon = new OracleConnection(DBConnection);
        oracon.Open();

        OracleCommand oracom = new OracleCommand();
        oracom.Connection = oracon;

        oracom.CommandType = CommandType.StoredProcedure;
        oracom.CommandText = "TRANSACTIONS_SEARCHER.Get_Master_Tran";

        oracom.Parameters.Add("p_mt_code", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_output", OracleType.Cursor).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_match_grid", OracleType.Cursor).Direction = ParameterDirection.Output;

        oracom.Parameters["p_mt_code"].Value = tID;

        OracleDataAdapter da = new OracleDataAdapter(oracom);
        DataSet ds = new DataSet();
        da.Fill(ds);

        oracon.Close();

        //set the data in the controls
        Label1.Text = ds.Tables[0].Rows[0]["RECORD_DATE"].ToString();
        Label2.Text = ds.Tables[0].Rows[0]["SETTL_DATE"].ToString();

        Label3.Text = ds.Tables[0].Rows[0]["TRAN_DATE"].ToString();
        Label4.Text = ds.Tables[0].Rows[0]["TRAN_TIME"].ToString();
        Label5.Text = ds.Tables[0].Rows[0]["CARD_NUMBER"].ToString();
        Label6.Text = ds.Tables[0].Rows[0]["PCODE"].ToString();
        Label7.Text = ds.Tables[0].Rows[0]["FINANCIAL_FLAG"].ToString();
        Label8.Text = ds.Tables[0].Rows[0]["B24_RSP"].ToString();
        Label9.Text = ds.Tables[0].Rows[0]["ISO_RSP"].ToString();
        Label10.Text = ds.Tables[0].Rows[0]["TERM_ID"].ToString();
        Label11.Text = ds.Tables[0].Rows[0]["TRAN_AMOUNT"].ToString();
        Label12.Text = ds.Tables[0].Rows[0]["TRAN_SOURCE"].ToString();
        Label13.Text = ds.Tables[0].Rows[0]["TRAN_DEST"].ToString();
        Label14.Text = ds.Tables[0].Rows[0]["MSG_TYPE"].ToString();
        Label15.Text = ds.Tables[0].Rows[0]["TRACE_ID"].ToString();
        Label16.Text = ds.Tables[0].Rows[0]["FILE_NUMBER"].ToString();
        Label17.Text = ds.Tables[0].Rows[0]["CARD_BRAND"].ToString();
        Label18.Text = ds.Tables[0].Rows[0]["RRN"].ToString();
        Label19.Text = ds.Tables[0].Rows[0]["CARD_EXP_DATE"].ToString();
        Label20.Text = ds.Tables[0].Rows[0]["ACCT_NUMBER"].ToString();
        Label21.Text = ds.Tables[0].Rows[0]["AUTH_CODE"].ToString();
        Label22.Text = ds.Tables[0].Rows[0]["BUSS_CLASS"].ToString();
        Label23.Text = ds.Tables[0].Rows[0]["TRAN_STATUS"].ToString();
        Label24.Text = ds.Tables[0].Rows[0]["TRAN_CURR"].ToString();
        Label25.Text = ds.Tables[0].Rows[0]["SETTL_CURR"].ToString();
        Label26.Text = ds.Tables[0].Rows[0]["SETTL_AMOUNT"].ToString();
        Label27.Text = ds.Tables[0].Rows[0]["TRAN_CHG"].ToString();
        Label28.Text = ds.Tables[0].Rows[0]["RECON_REQ_FLAG"].ToString();
        Label29.Text = ds.Tables[0].Rows[0]["RECON_PERFORMED_FLAG"].ToString();
        //Label30.Text = ds.Tables[0].Rows[0]["MATCH_CRIERIA"].ToString();
        Label31.Text = ds.Tables[0].Rows[0]["MATCH_REF1"].ToString();
        Label32.Text = ds.Tables[0].Rows[0]["MATCH_REF2"].ToString();
        Label33.Text = ds.Tables[0].Rows[0]["MATCH_REF3"].ToString();
        Label34.Text = ds.Tables[0].Rows[0]["MATCH_REF4"].ToString();
        Label35.Text = ds.Tables[0].Rows[0]["MATCH_DATE1"].ToString();
        Label36.Text = ds.Tables[0].Rows[0]["MATCH_DATE2"].ToString();
        Label37.Text = ds.Tables[0].Rows[0]["MATCH_DATE3"].ToString();
        Label38.Text = ds.Tables[0].Rows[0]["MATCH_DATE4"].ToString();
        Label39.Text = ds.Tables[0].Rows[0]["CHIP_DATA"].ToString();
        Label40.Text = ds.Tables[0].Rows[0]["NEXT_MATCH"].ToString();
        Label41.Text = ds.Tables[0].Rows[0]["re_code"].ToString();
        Label42.Text = ds.Tables[0].Rows[0]["PRODUCT"].ToString();
        Label43.Text = ds.Tables[0].Rows[0]["ORIG_OSEQ_NUM"].ToString();
        Label44.Text = ds.Tables[0].Rows[0]["ORIG_DATE"].ToString();
        Label45.Text = ds.Tables[0].Rows[0]["ORIG_TIME"].ToString();
        Label46.Text = ds.Tables[0].Rows[0]["AMT_2"].ToString();
        Label47.Text = ds.Tables[0].Rows[0]["AMT_3"].ToString();
        Label48.Text = ds.Tables[0].Rows[0]["AUTH_AMT"].ToString();
        Label49.Text = ds.Tables[0].Rows[0]["merch_settle_desc"].ToString();
        

        GridView2.DataSource = ds.Tables[1];
        GridView2.DataBind();

    }

    private void loadTranDetails(string tID)
    {
        Notifications.showModal("modal-xl", this);
        
        string DBConnection = Helper.dbConnection();

        OracleConnection oracon = new OracleConnection(DBConnection);
        oracon.Open();

        OracleCommand oracom = new OracleCommand();
        oracom.Connection = oracon;

        oracom.CommandType = CommandType.StoredProcedure;
        oracom.CommandText = "TRANSACTIONS_SEARCHER.Get_Master_Tran";

        oracom.Parameters.Add("p_mt_code", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_output", OracleType.Cursor).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_match_grid", OracleType.Cursor).Direction = ParameterDirection.Output;

        oracom.Parameters["p_mt_code"].Value = tID;
        //txtHMTCODE.Text = tID;

        OracleDataAdapter da = new OracleDataAdapter(oracom);
        DataSet ds = new DataSet();
        da.Fill(ds);

        oracon.Close();

        //set the data in the controls
        Label1.Text = ds.Tables[0].Rows[0]["tran_date"].ToString();
        Label2.Text = ds.Tables[0].Rows[0]["tran_time"].ToString();

        Label3.Text = ds.Tables[0].Rows[0]["card_number"].ToString();
        Label4.Text = ds.Tables[0].Rows[0]["term_id"].ToString();
        Label5.Text = ds.Tables[0].Rows[0]["tran_amount"].ToString();
        Label6.Text = ds.Tables[0].Rows[0]["tran_curr"].ToString();
        Label7.Text = ds.Tables[0].Rows[0]["pcode"].ToString();
        Label8.Text = ds.Tables[0].Rows[0]["rrn"].ToString();
        Label9.Text = ds.Tables[0].Rows[0]["tran_source"].ToString();
        Label10.Text = ds.Tables[0].Rows[0]["tran_dest"].ToString();
        Label11.Text = ds.Tables[0].Rows[0]["msg_type"].ToString();
        Label12.Text = ds.Tables[0].Rows[0]["RECON_PERFORMED_FLAG"].ToString();
        //Label13.Text = ds.Tables[0].Rows[0]["merchant_paid"].ToString();
        Label14.Text = ds.Tables[0].Rows[0]["trace_id"].ToString();
        Label15.Text = ds.Tables[0].Rows[0]["b24_rsp"].ToString();
        Label16.Text = ds.Tables[0].Rows[0]["card_brand"].ToString();
        Label17.Text = ds.Tables[0].Rows[0]["card_exp_date"].ToString();
        //Label18.Text = ds.Tables[0].Rows[0]["cardholder_account_number"].ToString();
        Label19.Text = ds.Tables[0].Rows[0]["auth_code"].ToString();
        Label20.Text = ds.Tables[0].Rows[0]["buss_class"].ToString();
        Label21.Text = ds.Tables[0].Rows[0]["tran_status"].ToString();
        Label22.Text = ds.Tables[0].Rows[0]["settl_curr"].ToString();
        Label23.Text = ds.Tables[0].Rows[0]["settl_amount"].ToString();
        Label24.Text = ds.Tables[0].Rows[0]["tran_chg"].ToString();
        Label25.Text = ds.Tables[0].Rows[0]["re_code"].ToString();
        Label26.Text = ds.Tables[0].Rows[0]["product"].ToString();
        Label27.Text = ds.Tables[0].Rows[0]["orig_oseq_num"].ToString();
        Label28.Text = ds.Tables[0].Rows[0]["orig_date"].ToString();
        Label29.Text = ds.Tables[0].Rows[0]["amt_2"].ToString();
        Label30.Text = ds.Tables[0].Rows[0]["amt_3"].ToString();
        Label31.Text = ds.Tables[0].Rows[0]["auth_amt"].ToString();
        //lblTCardNumber.Text = ds.Tables[0].Rows[0]["tkn_card_number"].ToString();

        //txtInputTransactionDate.Text = ds.Tables[0].Rows[0]["TRAN_DATE"].ToString();
        //txtInputCard.Text = ds.Tables[0].Rows[0]["CARD_NUMBER"].ToString();
        //txtInputTerminalID.Text = ds.Tables[0].Rows[0]["TERM_ID"].ToString();
        //txtInputAmount.Text = ds.Tables[0].Rows[0]["TRAN_AMOUNT"].ToString();
        //txtInputReference.Text = ds.Tables[0].Rows[0]["RRN"].ToString();
        ////dd-mm-yyyy
        //string d = ds.Tables[0].Rows[0]["TRAN_DATE"].ToString();
        //txtHDATE.Text = d.Substring(8) + d.Substring(3, 2) + d.Substring(0, 2);
        GridView2.DataSource = ds.Tables[1];
        GridView2.DataBind();

    }

    private void loadTranDetails1(string tID)
    {
        Notifications.showModal("modal-xlc", this);
        string DBConnection = Helper.dbConnection();

        OracleConnection oracon = new OracleConnection(DBConnection);
        oracon.Open();

        OracleCommand oracom = new OracleCommand();
        oracom.Connection = oracon;

        oracom.CommandType = CommandType.StoredProcedure;
        oracom.CommandText = "TRANSACTIONS_SEARCHER.Get_Channel_Tran";

        oracom.Parameters.Add("p_ct_code", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_output", OracleType.Cursor).Direction = ParameterDirection.Output;

        oracom.Parameters["p_ct_code"].Value = tID;

        OracleDataAdapter da = new OracleDataAdapter(oracom);
        DataSet ds = new DataSet();
        da.Fill(ds);

        oracon.Close();

        //set the data in the controls
        Label32.Text = ds.Tables[0].Rows[0]["RECORD_DATE"].ToString();
        Label33.Text = ds.Tables[0].Rows[0]["SETTL_DATE"].ToString();

        Label34.Text = ds.Tables[0].Rows[0]["TRAN_DATE"].ToString();
        Label35.Text = ds.Tables[0].Rows[0]["TRAN_TIME"].ToString();
        Label36.Text = ds.Tables[0].Rows[0]["CARD_NUMBER"].ToString();
        Label37.Text = ds.Tables[0].Rows[0]["ISO_RSP"].ToString();
        Label38.Text = ds.Tables[0].Rows[0]["TERM_ID"].ToString();
        Label39.Text = ds.Tables[0].Rows[0]["TRAN_AMOUNT"].ToString();
        Label40.Text = ds.Tables[0].Rows[0]["TRAN_SOURCE"].ToString();
        Label41.Text = ds.Tables[0].Rows[0]["TRAN_DEST"].ToString();
        Label42.Text = ds.Tables[0].Rows[0]["MSG_TYPE"].ToString();
        Label43.Text = ds.Tables[0].Rows[0]["TRACE_ID"].ToString();
        Label44.Text = ds.Tables[0].Rows[0]["FILE_NUMBER"].ToString();
        Label45.Text = ds.Tables[0].Rows[0]["CARD_BRAND"].ToString();
        Label46.Text = ds.Tables[0].Rows[0]["RRN"].ToString();
        Label47.Text = ds.Tables[0].Rows[0]["CARD_EXP_DATE"].ToString();
        Label48.Text = ds.Tables[0].Rows[0]["ACCT_NUMBER"].ToString();
        Label49.Text = ds.Tables[0].Rows[0]["AUTH_CODE"].ToString();
        Label50.Text = ds.Tables[0].Rows[0]["BUSS_CLS"].ToString();
        Label51.Text = ds.Tables[0].Rows[0]["RECON_STATUS"].ToString();
        Label52.Text = ds.Tables[0].Rows[0]["TRAN_CURR"].ToString();
        Label53.Text = ds.Tables[0].Rows[0]["SETTL_CURR"].ToString();
        Label54.Text = ds.Tables[0].Rows[0]["SETTL_AMOUNT"].ToString();
        Label55.Text = ds.Tables[0].Rows[0]["TRAN_CHG"].ToString();
        Label56.Text = ds.Tables[0].Rows[0]["MATCH_RESULT"].ToString();
        Label57.Text = ds.Tables[0].Rows[0]["CHIP_INDEX"].ToString();
        Label58.Text = ds.Tables[0].Rows[0]["channel_name"].ToString();
        Label59.Text = ds.Tables[0].Rows[0]["event_name"].ToString();
        Label60.Text = ds.Tables[0].Rows[0]["PCODE"].ToString();
        Label61.Text = ds.Tables[0].Rows[0]["FINANCIAL_FLAG"].ToString();
        Label62.Text = ds.Tables[0].Rows[0]["PRODUCT"].ToString();
        Label63.Text = ds.Tables[0].Rows[0]["MSG_RESAON_CODE"].ToString();
        Label64.Text = ds.Tables[0].Rows[0]["SETTL_FLAG"].ToString();
        Label65.Text = ds.Tables[0].Rows[0]["TRAN_TYPE"].ToString();
        //lblTCardNumberC.Text = ds.Tables[0].Rows[0]["tkn_card_number"].ToString();
    }

    protected void btnCancel_Click(object sender, EventArgs e)
    {
        //pnlControls.Visible = false;
    }

    protected void ddlEvents_SelectedIndexChanged(object sender, EventArgs e)
    {
        //pnlControls.Visible = false;
        //pnlResult.Visible = false;
        if (ddlEvents.SelectedIndex != 0)
        {
            int selectedEventId = int.Parse(this.ddlEvents.SelectedValue.ToString());

            string eventType = Helper.getEventType(selectedEventId);

            if (eventType.Equals("OUS"))
            {
                this.ddlAcquirer.SelectedValue = Constants.BANK_ID;
                this.ddlIssuer.SelectedValue = Constants.BANK_ID;

                this.ddlIssuer.Enabled = false;
                this.ddlAcquirer.Enabled = false;
            }
            else if (eventType.Equals("ACQ"))
            {
                this.ddlAcquirer.SelectedValue = Constants.BANK_ID;
                this.ddlAcquirer.Enabled = false;

                this.ddlIssuer.SelectedIndex = 0;
                this.ddlIssuer.Enabled = true;
            }
            else if (eventType.Equals("ISS"))
            {
                this.ddlIssuer.SelectedValue = Constants.BANK_ID;
                this.ddlIssuer.Enabled = false;

                this.ddlAcquirer.SelectedIndex = 0;
                this.ddlAcquirer.Enabled = true;
            }
            else
            {
                this.ddlAcquirer.SelectedIndex = 0;
                this.ddlAcquirer.Enabled = true;

                this.ddlIssuer.SelectedIndex = 0;
                this.ddlIssuer.Enabled = true;
            }
        }
    }
    protected void ddlAcquirer_SelectedIndexChanged(object sender, EventArgs e)
    {
        txtAccount.Text = "";
        if (ddlAcquirer.SelectedValue.Equals("589206"))
            trAcct.Visible = true;
        else
            trAcct.Visible = false;
    }
  

    protected void GridView1_PreRender(object sender, EventArgs e)
    {
        if (GridView1.Rows.Count > 0)
        {
            GridView1.UseAccessibleHeader = true;
            GridView1.HeaderRow.TableSection = TableRowSection.TableHeader;
        }
    }

    protected void gvChannel_PreRender(object sender, EventArgs e)
    {
        if (gvChannel.Rows.Count > 0)
        {
            gvChannel.UseAccessibleHeader = true;
            gvChannel.HeaderRow.TableSection = TableRowSection.TableHeader;
        }
    }

    private void loadResult(int pageSize, int pageNumber)
    {
        string DBConnection = Helper.dbConnection();

        OracleConnection oracon = new OracleConnection(DBConnection);
        oracon.Open();

        OracleCommand oracom = new OracleCommand();
        oracom.Connection = oracon;

        oracom.CommandType = CommandType.StoredProcedure;
        oracom.CommandText = "TRANSACTIONS_SEARCHER.Search_Master_Tran";

        oracom.Parameters.Add("p_current_uid", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_re_code", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_card_no", OracleType.VarChar).Direction = ParameterDirection.Input;
        //oracom.Parameters.Add("p_card_no_t", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_tran_date_from", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_tran_date_to", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_tran_time_from", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_tran_time_to", OracleType.VarChar).Direction = ParameterDirection.Input;

        oracom.Parameters.Add("p_rrn", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_source", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_dest", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_atm_num", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_acct_num", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_page_size", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_page_num", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_lang", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_res_code", OracleType.Number).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_res_type", OracleType.VarChar, 250).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_res_msg", OracleType.VarChar, 250).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_output", OracleType.Cursor).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_total_pages", OracleType.Number).Direction = ParameterDirection.Output;

        //if (ddlEvents.SelectedValue.ToString() != "------Events------")
        if (ddlEvents.SelectedIndex != 0)
        {
            oracom.Parameters["p_re_code"].Value = ddlEvents.SelectedValue.ToString();
        }
        else 
        {
            oracom.Parameters["p_re_code"].Value = OracleNumber.Null;
        }

        oracom.Parameters["p_card_no"].Value = txtCardNo.Text;
        //oracom.Parameters["p_card_no_t"].Value = txtTCardNumber.Text;
        oracom.Parameters["p_tran_date_from"].Value = txtDate.Text.Substring(8, 2) + txtDate.Text.Substring(3, 2) + txtDate.Text.Substring(0, 2);
        oracom.Parameters["p_tran_date_to"].Value = txtDate.Text.Substring(21, 2) + txtDate.Text.Substring(16, 2) + txtDate.Text.Substring(13, 2);
        oracom.Parameters["p_tran_time_from"].Value = TextBoxFrom.Text.Replace(":", "");
        oracom.Parameters["p_tran_time_to"].Value = TextBoxTo.Text.Replace(":", "");

        oracom.Parameters["p_rrn"].Value = txtReferenceNumber.Text;
        oracom.Parameters["p_atm_num"].Value = txtTerminal.Text;

        if (txtAccount.Text.Trim().Length > 0)
            oracom.Parameters["p_acct_num"].Value = txtAccount.Text.Trim();
        else
            oracom.Parameters["p_acct_num"].Value = OracleString.Null;


        oracom.Parameters["p_dest"].Value = OracleNumber.Null;

        oracom.Parameters["p_source"].Value = OracleNumber.Null;


        oracom.Parameters["p_page_size"].Value = pageSize;
        oracom.Parameters["p_page_num"].Value = pageNumber;
        oracom.Parameters["p_lang"].Value = "EN";
        oracom.Parameters["p_current_uid"].Value = Session["uid"].ToString();

        OracleDataAdapter da = new OracleDataAdapter(oracom);
        DataSet ds = new DataSet();
        da.Fill(ds);

        int nop = int.Parse(oracom.Parameters["p_total_pages"].Value.ToString());
        oracon.Close();

        GridView1.DataSource = ds;
        GridView1.DataBind();
        if (pageNumber == 1)
        {
            ddlPages.Items.Clear();
            for (int i = 1; i <= nop; i++)
            {
                ddlPages.Items.Add(i.ToString());
            }
        }
    }


    private void loadResultChannels(int pageSize, int pageNumber)
    {
        string DBConnection = Helper.dbConnection();

        OracleConnection oracon = new OracleConnection(DBConnection);
        oracon.Open();

        OracleCommand oracom = new OracleCommand();
        oracom.Connection = oracon;

        oracom.CommandType = CommandType.StoredProcedure;
        oracom.CommandText = "TRANSACTIONS_SEARCHER.Search_Channels_Tran";

        oracom.Parameters.Add("p_rc_code", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_current_uid", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_re_code", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_card_no", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_tran_date_from", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_tran_date_to", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_rrn", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_term_id", OracleType.VarChar).Direction = ParameterDirection.Input;

        oracom.Parameters.Add("p_source", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_dest", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_page_size", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_page_num", OracleType.Number).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_lang", OracleType.VarChar).Direction = ParameterDirection.Input;
        oracom.Parameters.Add("p_res_code", OracleType.Number).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_res_type", OracleType.VarChar, 250).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_res_msg", OracleType.VarChar, 250).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_output", OracleType.Cursor).Direction = ParameterDirection.Output;
        oracom.Parameters.Add("p_total_pages", OracleType.Number).Direction = ParameterDirection.Output;


        oracom.Parameters["p_rc_code"].Value = OracleNumber.Null;
        oracom.Parameters["p_re_code"].Value = OracleNumber.Null;
        oracom.Parameters["p_card_no"].Value = txtCardNo.Text.Trim();
        oracom.Parameters["p_tran_date_from"].Value = txtDate.Text.Substring(8, 2) + txtDate.Text.Substring(3, 2) + txtDate.Text.Substring(0, 2);
        oracom.Parameters["p_tran_date_to"].Value = txtDate.Text.Substring(21, 2) + txtDate.Text.Substring(16, 2) + txtDate.Text.Substring(13, 2);
        oracom.Parameters["p_rrn"].Value = txtReferenceNumber.Text.ToString();
        oracom.Parameters["p_term_id"].Value = txtTerminal.Text;

        oracom.Parameters["p_dest"].Value = OracleNumber.Null;
        oracom.Parameters["p_source"].Value = OracleNumber.Null;

        oracom.Parameters["p_page_size"].Value = pageSize;
        oracom.Parameters["p_page_num"].Value = pageNumber;
        oracom.Parameters["p_lang"].Value = "EN";
        oracom.Parameters["p_current_uid"].Value = Session["uid"].ToString();

        OracleDataAdapter da = new OracleDataAdapter(oracom);
        DataSet ds = new DataSet();
        da.Fill(ds);

        int nop = int.Parse(oracom.Parameters["p_total_pages"].Value.ToString());
        oracon.Close();


        gvChannel.DataSource = ds;
        gvChannel.DataBind();
        if (pageNumber == 1)
        {
            ddlPages2.Items.Clear();
            for (int i = 1; i <= nop; i++)
            {
                ddlPages2.Items.Add(i.ToString());
            }
        }
    }
}